<?php

return [

    'details' => [
        'application_name' => env('NEA_APPLICATION_NAME', 'Eventpal'),
    ],

    'auth' => [
        'client_id' => env('PASSPORT_CLIENT_ID', '1'),
        'client_secret' => env('PASSPORT_CLIENT_SECRET', 'VRmGvYBNQr8Hdmv1fRJN7RuJGBnCP1EdVYYCws4M'),
        'access_token_ttl' => env('PASSPORT_ACCESS_TOKEN_TTL', 'P1D'),
        'refresh_token_ttl' => env('PASSPORT_REFRESH_TOKEN_TTL', 'P1M'),
        'guard' => env('NEA_AUTH_GUARD', 'api'),
        'model' => '',
        'identifier' => 'id',
    ],

    'database' => [
        'table_prefix' => env('NEA_TABLE_PREFIX', 'nea'),
    ],

    'firebase' => [
        'fcm_sender_id' => env('FCM_SENDER_ID'),
    ],

    'files' => [
        'driver' => env('NEA_FILES_DRIVER', 'local'),

        'local' => [
            'disk' => env('NEA_FILES_LOCAL_DISK', 'local'),
            'path' => env('NEA_FILES_LOCAL_PATH', 'files'),
        ],

        's3' => [
            'region' => env('NEA_FILES_S3_REGION', 'eu-west-2'),
            'key' => env('NEA_FILES_S3_KEY_ID', null),
            'secret' => env('NEA_FILES_S3_SECRET_KEY', null),
            'token' => env('NEA_FILES_S3_TOKEN', null),
            'url' => env('NEA_FILES_S3_URL', null),
            'bucket' => env('NEA_FILES_S3_BUCKET', null),
            'visibility' => env('NEA_FILES_S3_VISIBILITY', null),
        ],
    ],

    'qr_code' => [
        'ttl' => 'P1D',
    ],

    'socket_server' => [
        'host' => env('SOCKET_SERVER_HOST', 'http://localhost:8000'),
    ],

    'verification' => [
        'email' => [
            'view' => 'NativeEventApp::emails.app-verification',
            'subject' => 'eventpal Verification',
        ],
        'sms' => [
            'message' => 'Your eventpal verification code is :code',
        ],
    ],

    'debug' => [
        'disable_error_codes' => env('NEA_DISABLE_ERROR_CODES', false),
    ],
];
