<?php

use Drp\NativeEventApp\Http\Controllers\HandleFileUpload;
use Drp\NativeEventApp\Http\Controllers\RetrieveFileUpload;
use Illuminate\Routing\Middleware\SubstituteBindings;

Route::put('/eventpal/api/file-upload', HandleFileUpload::class)->middleware('signed')
    ->name('eventpal.sdk.file-upload');
Route::get('/eventpal/api/file-upload/{eventpalFileUpload}', RetrieveFileUpload::class)
    ->middleware(SubstituteBindings::class)
    ->name('eventpal.sdk.file-upload.retrieve');
