<?php
/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Drp\NativeEventApp\Models\Event;
use Drp\NativeEventApp\Models\Page;

$factory->define(Page::class, static function (): array {
    return [
        'event_id' => static function () {
            return factory(Event::class)->create()->id;
        },
        'title' => 'Page',
    ];
});

$factory->state(Page::class, 'enabled', static function (): array {
    return [
        'enabled_at' => now(),
    ];
});

$factory->state(Page::class, 'disabled', static function (): array {
    return [
        'enabled_at' => null,
        'enabled_until' => null,
    ];
});
