<?php

namespace Drp\NativeEventApp\Test\Unit\Modules;

use Drp\NativeEventApp\Facades\ModulesUnSerializer;
use Drp\NativeEventApp\Modules\Types\QRCodeScanner;
use Drp\NativeEventApp\Test\TestCase;

class QRCodeScannerTest extends TestCase
{
    /** @test */
    public function is_serializable(): void
    {
        $scanner = QRCodeScanner::make();

        $serializedModule = json_encode([$scanner]);
        $module = ModulesUnSerializer::getModulesFromString($serializedModule)->first();

        $this->assertInstanceOf(QRCodeScanner::class, $module);
    }
}
