<?php

use Drp\NativeEventApp\Migrations\TableMigration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class AddGraphToQuizQuestions extends TableMigration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->string('graph')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down(): void
    {
        Schema::table($this->getTableNameWithPrefix(), function (Blueprint $table): void {
            $table->dropColumn('graph');
        });
    }

    public function tableName(): string
    {
        return 'quiz_questions';
    }
}
