<?php

namespace Drp\NativeEventApp\FileUploads\Facades;

use Drp\NativeEventApp\FileUploads\Manager;
use Illuminate\Support\Facades\Facade;

/**
 * @method static array createUrl(string $uuid, string $expiry)
 * @method static \Drp\NativeEventApp\Models\FileUpload storeReference(string $uuid, int $registrationId, ?string $type = null)
 * @method static string getFileUrl(\Drp\NativeEventApp\Models\FileUpload $fileUpload)
 */
class FileUpload extends Facade
{
    public static function getFacadeAccessor(): string
    {
        return Manager::class;
    }
}
